Changing to Saxon 9.2.1.5 did the trick!

 

Many thanks

 

Paul

 

From: Michael Kay [mailto:mike@saxonica.com]
Sent: 18 October 2010 21:15
To: saxon-help@lists.sourceforge.net
Subject: Re: [saxon] NPE in TransformerFactory.newInstance()

 

is known to fix this problem in some environments, though it's impossible to be certain that it fixes it in all environments, since the ways of doing class loading are so many and varied. Which release are you using? It doesn't look like 9.2.1.5 judging by the line numbers.

Michael Kay
Saxonica

On 18/10/2010 19:28, Paul Mahoney wrote:

Running Tomcat 6.0 and want to use XPATH 2.0 features, so replaced xalan.jar with saxon9he.jar in Tomcat 6.0\endorsed.

 

This as resulted in the NPE others have reported:

 

        at org.alfresco.repo.content.selector.XPathContentWorkerSelector.<init>(XPathContentWorkerSelector.java:69)

        ... 57 more

Caused by: java.lang.RuntimeException: Failed to load configuration defined in edition.properties

        at net.sf.saxon.Configuration.<clinit>(Configuration.java:277)

        ... 70 more

Caused by: java.lang.NullPointerException

        at net.sf.saxon.Configuration.<clinit>(Configuration.java:231)

 

Anyone know how to overcome this?

 
 
------------------------------------------------------------------------------
Download new Adobe(R) Flash(R) Builder(TM) 4
The new Adobe(R) Flex(R) 4 and Flash(R) Builder(TM) 4 (formerly 
Flex(R) Builder(TM)) enable the development of rich applications that run
across multiple browsers and platforms. Download your free trials today!
http://p.sf.net/sfu/adobe-dev2dev
 
 
_______________________________________________
saxon-help mailing list archived at http://saxon.markmail.org/
saxon-help@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/saxon-help